<?php
if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }
require_once INCLUDES."theme_functions_include.php";

/*--------------------------------------------+
| PHP-Fusion v6 - Content Management System   |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
/*--------------------------------------------+
|     The Negril Theme for PHP-Fusion v6      |
|---------------------------------------------|
| author: PHP-Fusion Themes - Shedrock  2007 |
| web: http://phpfusion-themes.com            |
| email: webmaster@phpfusion-themes.com       |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/


// theme settings
$body_text = "#2F2F2F";
$body_bg = "#7E7F82";
$theme_width = "100%";
$theme_width_l = "185";
$theme_width_r = "185";
// Right Panels off in Forum Mode
$theme_panels_exclude = array("/forum/");

function render_header($header_content) {
global $theme_width,$settings;
$cookieval = "";
if (isset($_COOKIE['Negril_Theme'])) {
   $cookie = explode("&",$_COOKIE['Negril_Theme']);
   for ($i = 0;$i < sizeof($cookie);$i++) {
      $cookie2 = explode(":",$cookie[$i]);
      if ($cookie2[0] == "hideleft" || $cookie2[0] == "hideright") {
         $cookieval .= ",".$cookie2[0].":'".($cookie2[1] == 'off' ? 'off' : 'on')."'";
      }
   }
}	
echo "<script language='javascript' src='".THEME."negril.js' type='text/javascript'></script>\n";
echo "<script language='javascript' type='text/javascript'>Negril.init({basedir:'".THEME."'".$cookieval."});</script>\n";

echo "<table border='0' cellpadding='0' cellspacing='0' class='bodyline' width='100%'><tr><td>";
	echo "<table border='0' cellpadding='0' cellspacing='0' width='100%' style='height: 95px;'>
  <tr>
    <td width='100%' height='72' style='' colspan='2'><a href='".BASEDIR."index.php'>$header_content</a></td>
  </tr>
  <tr>
    <td width='80%' height='23' id='navigation' class='sub_nav'>
".showsublinks("<img style='position: absolute; top: 73px;' alt='' src='".THEME."images/gap.gif'>","navigation")."&nbsp;<img style='position: absolute; top: 73px;' alt='' src='".THEME."images/gap.gif'>

</td>
    <td align='right' width='20%' height='23' id='Clock' nowrap='nowrap' class='sub_nav'><script language='javascript' type='text/javascript'>Negril.tick();</script></td>
  </tr>
</table>";
	echo "<table style='margin-top:6px;' align='center' width='$theme_width' cellspacing='0' cellpadding='0'>\n<tr id='contentbody'>\n";
}

function render_footer($license=false) {
global $theme_width,$locale,$settings;

	echo "</tr>\n</table>\n
<table align='center' border='0' cellpadding='0' cellspacing='0' width='$theme_width'><tr>
<td width='100%'>
<table cellSpacing='0' cellPadding='0' width='100%' align='center'><tr>
<td class='footer-copyright'>".stripslashes($settings['footer'])."</td>
</tr>
</table>
<br>
<table cellSpacing='0' cellPadding='0' width='100%' border='0'><tr>
<td align='center' class='footer_bg'>Website Engine: <a class='footer_links' target='_blank' href='http://php-fusion.co.uk'>PHP-Fusion</a>&nbsp;&nbsp;<img alt='' src='".THEME."images/bullet.gif'>&nbsp;&nbsp;Theme: <b>Negril</b>&nbsp;&nbsp;<img alt='' src='".THEME."images/bullet.gif'>&nbsp;&nbsp;Author: <a class='footer_links' target='_blank' href='http://phpfusion-themes.com'>Fuzed Themes</a></td>

</tr>
</table>
</td></tr>
</table></td></tr>
</table>";
}

function render_news($subject, $news, $info) {
$subject = strip_tags($subject);
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>
<td class='panel-left'><img src='".THEME."images/blank.gif' width='11' height='40' alt='' style='display:block'></td>
<td width='100%' class='panel-main'>$subject</td>
<td class='panel-right'><img src='".THEME."images/blank.gif' width='11' height='40' alt='' style='display:block'>
</td></tr>
</table>
<table width='100%' cellpadding='0' cellspacing='0'><tr>
<td class='border-left'><img src='".THEME."images/blank.gif' width='11' height='1' alt='' style='display:block'></td>
<td class='news-body'><div style='width:100%;vertical-align:top;'>$news</div>
<td class='border-right'><img src='".THEME."images/blank.gif' width='11' height='1' alt='' style='display:block'>
</td></tr>
  <tr>
<td class='border-left'>&nbsp;</td>
<td align='center' class='news-body' valign='top'>

<img style='vertical-align: middle;' alt='' src='".THEME."images/news_sep.gif' width='98%' height='1'>
<div class='news-footer'>";
	echo openform("N",$info['news_id']).newsposter($info," &middot;").newsopts($info," &middot;").closeform("N",$info['news_id']);
	echo "</div>
<img style='vertical-align: middle;' alt='' src='".THEME."images/news_sep.gif' width='98%' height='1'>


<td class='border-right'>&nbsp;</td></tr>
<tr>
<td class='border-bleft'><img src='".THEME."images/blank.gif' width='11' height='16' alt='' style='display:block'></td>
<td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='16' alt='' style='display:block'></td>
<td class='border-bright'><img src='".THEME."images/blank.gif' width='11' height='16' alt='' style='display:block'></td>
</tr>
</table>\n";
	tablebreak();
}


function render_article($subject, $article, $info) {

	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>
<td class='panel-left'><img src='".THEME."images/blank.gif' width='11' height='40' alt='' style='display:block'></td>
<td width='100%' class='panel-main'>$subject<br>
<span class='news-footer'>";
	echo openform("A",$info['article_id']).articleposter($info," &middot;").articleopts($info," &middot;").closeform("A",$info['article_id']);
	echo "</span>
</td>
<td class='panel-right'><img src='".THEME."images/blank.gif' width='11' height='40' alt='' style='display:block'></td>
</tr>
</table>
<table width='100%' cellpadding='0' cellspacing='0'><tr>
<td class='border-left'><img src='".THEME."images/blank.gif' width='11' height='1' alt='' style='display:block'></td>
<td class='news-body'><div style='width:100%;vertical-align:top;'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div><br>
<td class='border-right'><img src='".THEME."images/blank.gif' width='11' height='1' alt='' style='display:block'>
</td></tr>
<tr>
<td class='border-bleft'><img src='".THEME."images/blank.gif' width='11' height='16' alt='' style='display:block'></td>
<td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='16' alt='' style='display:block'></td>
<td class='border-bright'><img src='".THEME."images/blank.gif' width='11' height='16' alt='' style='display:block'></td>
</tr>
</table>\n";
	tablebreak();
}

function opentable($title) {

	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>
<td class='panel-left'><img src='".THEME."images/blank.gif' width='11' height='40' alt='' style='display:block'></td>
<td width='100%' class='panel-main'>$title</td>
<td class='panel-right'><img src='".THEME."images/blank.gif' width='11' height='40' alt='' style='display:block'></td>
</tr>
</table>
<table width='100%' cellpadding='0' cellspacing='0'><tr>
<td class='border-left'><img src='".THEME."images/blank.gif' width='11' height='1' alt='' style='display:block'></td>
<td class='side-body'>\n";
}

function closetable() {

	echo "</td>
<td class='border-right'><img src='".THEME."images/blank.gif' width='11' height='1' alt='' style='display:block'></td>
</tr>
<tr>
<td class='border-bleft'><img src='".THEME."images/blank.gif' width='11' height='16' alt='' style='display:block'></td>
<td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='16' alt='' style='display:block'></td>
<td class='border-bright'><img src='".THEME."images/blank.gif' width='11' height='16' alt='' style='display:block'></td>
</tr>
</table>\n";
	tablebreak();
}

function openside($title) {
	
	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>
<td class='panel-left'><img src='".THEME."images/blank.gif' width='11' height='40' alt='' style='display:block'></td>
<td width='100%' class='panel-main'>$title</td>
<td class='panel-right'><img src='".THEME."images/blank.gif' width='11' height='40' alt='' style='display:block'></td>
</tr>
</table>
<table width='100%' cellpadding='0' cellspacing='0'><tr>
<td class='border-left'><img src='".THEME."images/blank.gif' width='11' height='1' alt='' style='display:block'></td>
<td class='side-body'>\n";
}

function closeside() {

	echo "</td>
<td class='border-right'><img src='".THEME."images/blank.gif' width='11' height='1' alt='' style='display:block'></td>
</tr>
<tr>
<td class='border-bleft'><img src='".THEME."images/blank.gif' width='11' height='16' alt='' style='display:block'></td>
<td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='16' alt='' style='display:block'></td>
<td class='border-bright'><img src='".THEME."images/blank.gif' width='11' height='16' alt='' style='display:block'></td>
</tr>
</table>\n";
	tablebreak();
}

function opensidex($title,$state="on") {

$boxname = str_replace(" ", "", $title);

	echo "<table width='100%' cellpadding='0' cellspacing='0'><tr>
<td class='panel-left'><img src='".THEME."images/blank.gif' width='11' height='40' alt='' style='display:block'></td>
<td class='panel-main'>$title</td>
<td align='right' class='panel-main'>".panelbutton($state,$boxname)."</td>
<td class='panel-right'><img src='".THEME."images/blank.gif' width='11' height='40' alt='' style='display:block'></td>
</tr>
</table>
<table width='100%' cellpadding='0' cellspacing='0'><tr>
<td class='border-left'><img src='".THEME."images/blank.gif' width='11' height='1' alt='' style='display:block'></td>
<td class='side-body'>
<div id='box_$boxname'".($state=="off"?" style='display:none'":"").">\n";
}

function closesidex() {

	echo "</div>
<td class='border-right'><img src='".THEME."images/blank.gif' width='11' height='1' alt='' style='display:block'></td>
</tr>
<tr>
<td class='border-bleft'><img src='".THEME."images/blank.gif' width='11' height='16' alt='' style='display:block'></td>
<td class='border-bmain'><img src='".THEME."images/blank.gif' width='1' height='16' alt='' style='display:block'></td>
<td class='border-bright'><img src='".THEME."images/blank.gif' width='11' height='16' alt='' style='display:block'></td>
</tr>
</table>\n";
}

function tablebreak() {
echo "<table width='100%' cellspacing='0' cellpadding='0'><tr>
<td height='2'>
</td></tr>
</table>\n";
}
?>
